List templates
<small>Requires an API token with the Template Reader role.</small>
Lists the templates available in your account.
Filtering
The template list can be filtered by a number of different attributes. The available filter attributes are listed
in the Query Parameters section of this page, under filter.
To specify filters, use array notation in the request query string to specify one or more filter values.
For example, to filter for archived templates with a name that contains the string "Arbeitsvertrag", the query
string should contain: filter[archived]=true&filter[query]=Arbeitsvertrag
Sorting
To specify the order that templates should be returned in, use the sort_by and sort_direction query string
parameters.
For example, to sort by the name attribute in ascending order, the query string should contain:
sort_by=name&sort_direction=asc
Name of the field to sort the response by. Default is updated_at
name, created_at, updated_at, archived_atComma-separated list of one or more team UUIDs to match. Matches templates that belong to any of the given teams.
322cecc9-44fe-4f10-b27d-77768abfeba2Finds templates that not assigned to any team. May be combined with the teams filter to find templates that are in the given teams or are unassigned.
trueComma-separated list of one or more tag UUIDs to match. The default behavior is to match templates that have any of the given tags.
58ac52bb-8885-4580-88c1-7a7bc772c87d,3213a2cd-7d86-4881-a7c3-53fca9593d6aChanges tags behavior to only match templates that have all of the given tags.
trueComma-separated list of one or more tag UUIDs to exclude. Templates with any of these tags will be excluded from the result.
ed8d2db3-0321-4d0d-bae9-31e43a95e6b8Response
Paginated set of TemplateMinimalResource
More in General
GETList documentsPOSTCreate document from PDFStill need help? Share an idea